<?php
/**
 * Kingcomposer array
 *
 * @package Student WP
 * @author Shahbaz Ahmed <shahbazahmed9@hotmail.com>
 * @version 1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Restricted' );
}

$orderby = array(
				"type"			=>	"select",
				"label"			=>	esc_html__("Order By", BUNCH_NAME),
				"name"			=>	"sort",
				'options'		=>	array('date'=>esc_html__('Date', BUNCH_NAME),'title'=>esc_html__('Title', BUNCH_NAME) ,'name'=>esc_html__('Name', BUNCH_NAME) ,'author'=>esc_html__('Author', BUNCH_NAME),'comment_count' =>esc_html__('Comment Count', BUNCH_NAME),'random' =>esc_html__('Random', BUNCH_NAME) ),
				"description"	=>	esc_html__("Enter the sorting order.", BUNCH_NAME)
			);
$order = array(
				"type"			=>	"select",
				"label"			=>	esc_html__("Order", BUNCH_NAME),
				"name"			=>	"order",
				'options'		=>	(array('ASC'=>esc_html__('Ascending', BUNCH_NAME),'DESC'=>esc_html__('Descending', BUNCH_NAME) ) ),			
				"description"	=>	esc_html__("Enter the sorting order.", BUNCH_NAME)
			);
$number = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Number', BUNCH_NAME ),
				"name"			=>	"num",
				"description"	=>	esc_html__('Enter Number of posts to Show.', BUNCH_NAME )
			);
$text_limit = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Text Limit', BUNCH_NAME ),
				"name"			=>	"text_limit",
				"description"	=>	esc_html__('Enter text limit of posts to Show.', BUNCH_NAME )
			);
$title = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Title', BUNCH_NAME ),
				"name"			=>	"title",
				"description"	=>	esc_html__('Enter section title.', BUNCH_NAME )
			);
$subtitle = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Sub-Title', BUNCH_NAME ),
				"name"			=>	"subtitle",
				"description"	=>	esc_html__('Enter section subtitle.', BUNCH_NAME )
			);
$text  = array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Text', BUNCH_NAME ),
				"name"			=>	"text",
				"description"	=>	esc_html__('Enter text to show.', BUNCH_NAME )
			);
$btn_title = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Button Title', BUNCH_NAME ),
				"name"			=>	"btn_title",
				"description"	=>	esc_html__('Enter section Button title.', BUNCH_NAME )
			);
$btn_link = array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Button Link', BUNCH_NAME ),
				"name"			=>	"btn_link",
				"description"	=>	esc_html__('Enter section Button Link.', BUNCH_NAME )
			);
$bg_img = array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__('Background Image', BUNCH_NAME ),
				"name"			=>	"bg_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__('Choose Background image.', BUNCH_NAME )
			);

$options = array();

//Portfolio Style 1
$options['bunch_our_portfolio']	=	array(
		'name' => esc_html__('Our Portfolio', BUNCH_NAME),
		'base' => 'bunch_our_portfolio',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Our Portfolio.', BUNCH_NAME),
		'params' => array(
			$title,
			$number,
			array(
				"type" => "dropdown",
				"label" => __( 'Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array( 'taxonomy' => 'portfolio_category'), true),
				"description" => __( 'Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Portfolio Style 2
$options['bunch_our_portfolio2']	=	array(
		'name' => esc_html__('Our Portfolio Style Two', BUNCH_NAME),
		'base' => 'bunch_our_portfolio2',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Portfolio Style Two.', BUNCH_NAME),
		'params' => array(
			$number,
			array(
				"type" => "dropdown",
				"label" => __( 'Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array( 'taxonomy' => 'portfolio_category'), true),
				"description" => __( 'Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Portfolio Style 3
$options['bunch_our_portfolio3']	=	array(
		'name' => esc_html__('Our Portfolio Style Three', BUNCH_NAME),
		'base' => 'bunch_our_portfolio3',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Portfolio Style Three.', BUNCH_NAME),
		'params' => array(
			$title,
			$number,
			array(
				"type" => "dropdown",
				"label" => __( 'Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array( 'taxonomy' => 'portfolio_category'), true),
				"description" => __( 'Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Portfolio Style 4
$options['bunch_our_portfolio4']	=	array(
		'name' => esc_html__('Our Portfolio Style Four', BUNCH_NAME),
		'base' => 'bunch_our_portfolio4',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Portfolio Style Four.', BUNCH_NAME),
		'params' => array(
			$title,
			$text,
			$number,
			array(
				"type" => "dropdown",
				"label" => __( 'Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array( 'taxonomy' => 'portfolio_category'), true),
				"description" => __( 'Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//call to action About us
$options['bunch_what_we_do']	=	array(
		'name' => esc_html__('What We Do', BUNCH_NAME),
		'base' => 'bunch_what_we_do',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show What We Do section', BUNCH_NAME),
		'params' => array(
			array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__('Upload Image', BUNCH_NAME ),
				"name"			=>	"upload_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__('Upload image.', BUNCH_NAME )
			),
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Title', BUNCH_NAME ),
				"name"			=>	"title",
				"description"	=>	esc_html__('Enter Title Text to show.', BUNCH_NAME )
			),
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Sub Title', BUNCH_NAME ),
				"name"			=>	"sub_title",
				"description"	=>	esc_html__('Enter Sub Title to show.', BUNCH_NAME )
			),
			$text,
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Blockquote', BUNCH_NAME ),
				"name"			=>	"blockquote",
				"description"	=>	esc_html__('Enter Blockquote Text to show.', BUNCH_NAME )
			),
		),
);

//Our Services About us
$options['bunch_our_services']	=	array(
		'name' => esc_html__('Our Services', BUNCH_NAME),
		'base' => 'bunch_our_services',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Our Services Section', BUNCH_NAME),
		'params' => array(
			array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__('Upload Image', BUNCH_NAME ),
				"name"			=>	"upload_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__('Upload image.', BUNCH_NAME )
			),
			$title,
			$text,
			array(
				 'type' => 'group',
				 'label' => esc_html__( 'Service', BUNCH_NAME ),
				 'name' => 'services',
				 'description' => esc_html__( 'Add Service.', BUNCH_NAME ),
				 'params' => array(
					array(
						'name' => 'service_icon',
						'label' => 'Choose Icon',
						'type' => 'icon_picker',
						'description' => 'Choose Icon For Service Section',
					),
					array(
						"type"			=>	"textarea",
						"label"			=>	esc_html__('Title', BUNCH_NAME ),
						"name"			=>	"service_title",
						"description"	=>	esc_html__('Enter Title.', BUNCH_NAME )
					),
					array(
						"type"			=>	"text",
						"label"			=>	esc_html__('Link', BUNCH_NAME ),
						"name"			=>	"ext_link",
						"description"	=>	esc_html__('Enter External Link.', BUNCH_NAME )
					),
				 ),
			),//Group End
		),
);

//Our Approach About us
$options['bunch_our_approachs']	=	array(
		'name' => esc_html__('Our Approach', BUNCH_NAME),
		'base' => 'bunch_our_approachs',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Our Approach Section', BUNCH_NAME),
		'params' => array(
			array(
				 'type' => 'group',
				 'label' => esc_html__( 'Approach', BUNCH_NAME ),
				 'name' => 'approachs',
				 'description' => esc_html__( 'Add Approach.', BUNCH_NAME ),
				 'params' => array(
					array(
						"type"			=>	"attach_image_url",
						"label"			=>	esc_html__('Upload Image', BUNCH_NAME ),
						"name"			=>	"approach_img",
						'admin_label' 	=> 	false,
						"description"	=>	esc_html__('Upload image.', BUNCH_NAME )
					),
					array(
						"type"			=>	"text",
						"label"			=>	esc_html__('Title', BUNCH_NAME ),
						"name"			=>	"approach_title",
						"description"	=>	esc_html__('Enter Title.', BUNCH_NAME )
					),
					array(
						"type"			=>	"textarea",
						"label"			=>	esc_html__('Text', BUNCH_NAME ),
						"name"			=>	"approach_text",
						"description"	=>	esc_html__('Enter Text.', BUNCH_NAME )
					),
				 ),
			),//Group End
		),
);

//Breadcrumbs Contact Us Page
$options['bunch_breadcrumbs']	=	array(
		'name' => esc_html__('Breadcrumbs', BUNCH_NAME),
		'base' => 'bunch_breadcrumbs',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Breadcrumbs Section', BUNCH_NAME),
		'params' => array(
			array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__('Background Image', BUNCH_NAME ),
				"name"			=>	"bg_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__('Upload Background image.', BUNCH_NAME )
			),
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Title', BUNCH_NAME ),
				"name"			=>	"breadcrumbs_title",
				"description"	=>	esc_html__('Enter Title.', BUNCH_NAME )
			),
		),
);


//Our Team About us
$options['bunch_our_team']	=	array(
		'name' => esc_html__( 'Our Team', BUNCH_NAME ),
		'base' => 'bunch_our_team',
		'class' => '',
		'category' => esc_html__( 'Walsall', BUNCH_NAME ),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__( 'Show Our Team', BUNCH_NAME ),
		'params' => array(
			$title,
			$number,
			array(
				"type" => "dropdown",
				"label" => __( 'Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array( 'taxonomy' => 'team_category'), true),
				"description" => __( 'Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Our Clients About us
$options['bunch_our_clients']	=	array(
		'name' => esc_html__('Our Clients', BUNCH_NAME),
		'base' => 'bunch_our_clients',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Our Clients Section', BUNCH_NAME),
		'params' => array(
			$title,
			$text,
			array(
				 'type' => 'group',
				 'label' => esc_html__( 'Partner', BUNCH_NAME ),
				 'name' => 'partners',
				 'description' => esc_html__( 'Add Partner.', BUNCH_NAME ),
				 'params' => array(
					array(
						"type"			=>	"attach_image_url",
						"label"			=>	esc_html__('Upload Image', BUNCH_NAME ),
						"name"			=>	"partner_img",
						'admin_label' 	=> 	false,
						"description"	=>	esc_html__('Upload image.', BUNCH_NAME )
					),
					array(
						"type"			=>	"text",
						"label"			=>	esc_html__('Link', BUNCH_NAME ),
						"name"			=>	"ext_link",
						"description"	=>	esc_html__('Enter External Link.', BUNCH_NAME )
					),
				 ),
			),//Group End
		),
);

//About me
$options['bunch_about_me']	=	array(
		'name' => esc_html__('About Me', BUNCH_NAME),
		'base' => 'bunch_about_me',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show About Me section', BUNCH_NAME),
		'params' => array(
			array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__('Upload Image', BUNCH_NAME ),
				"name"			=>	"upload_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__('Upload image.', BUNCH_NAME )
			),
			$title,
			$subtitle,
			$text,
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Content', BUNCH_NAME ),
				"name"			=>	"about_content",
				"description"	=>	esc_html__('Enter Content to show.', BUNCH_NAME )
			),
			array(
				'name' => 'show_social',
				'label' => 'Show Social Media',
				'type' => 'toggle',
				'description' => 'Show / Hide Social Media',
			),
		),
);

//Blog Grid
$options['bunch_blog_grid']	=	array(
		'name' => esc_html__('Blog Grid', BUNCH_NAME),
		'base' => 'bunch_blog_grid',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Blog Grid Section.', BUNCH_NAME),
		'params' => array(
			$number,
			array(
				"type" => "dropdown",
				"label" => __('Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array('taxonomy' => 'category'), true),
				"description" => __('Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Blog List
$options['bunch_blog_list']	=	array(
		'name' => esc_html__('Blog List', BUNCH_NAME),
		'base' => 'bunch_blog_list',
		'class' => '',
		'category' => esc_html__('Walsall', BUNCH_NAME),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__('Show Blog List Section.', BUNCH_NAME),
		'params' => array(
			$text_limit,
			$number,
			array(
				"type" => "dropdown",
				"label" => __('Category', BUNCH_NAME),
				"name" => "cat",
				"options" =>  bunch_get_categories(array('taxonomy' => 'category'), true),
				"description" => __('Choose Category.', BUNCH_NAME)
			),
			$orderby,
			$order,
		),
);

//Contact Info & Contact Form
$options['bunch_contact_form']	=	array(
	'name' => esc_html__( 'Contact Form', BUNCH_NAME ),
	'base' => 'bunch_contact_form',
	'class' => '',
	'category' => esc_html__( 'Walsall', BUNCH_NAME ),
	'icon' => 'fa-briefcase' ,
	'description' => esc_html__( 'Show Contact Form & Contact Info section', BUNCH_NAME ),
	'params' => array(
		esc_html__( 'Contatc Info', BUNCH_NAME ) => array(
			$title,
			$text,
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Email ID', BUNCH_NAME ),
				"name"			=>	"office_email",
				"description"	=>	esc_html__('Enter Email ID.', BUNCH_NAME )
			),
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Phone Numbers', BUNCH_NAME ),
				"name"			=>	"office_phone",
				"description"	=>	esc_html__('Enter Phone Numbers.', BUNCH_NAME )
			),
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__('Address', BUNCH_NAME ),
				"name"			=>	"office_address",
				"description"	=>	esc_html__('Enter Address.', BUNCH_NAME )
			),
		),
		esc_html__( 'Contact Form', BUNCH_NAME ) => array(
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__('Title', BUNCH_NAME ),
				"name"			=>	"contact_title",
				"description"	=>	esc_html__('Enter Map Title.', BUNCH_NAME )
			),
			array(
			   'type'    => 'autocomplete',
			   'label'   => esc_html__( 'Contact Form 7', BUNCH_NAME ),
			   'name'    => 'contact_form_7',
			   'description'  => esc_html__( 'Choose the contact form 7', BUNCH_NAME ),
			   'options'  => array( 'post_type' => 'wpcf7_contact_form' ),
			),
		),
	),
);

// Google map Start.
$options['bunch_google_map']	=	array(
		'name' => esc_html__( 'Google Map', BUNCH_NAME ),
		'base' => 'bunch_google_map',
		'class' => '',
		'category' => esc_html__( 'Walsall', BUNCH_NAME ),
		'icon' => 'fa-briefcase' ,
		'description' => esc_html__( 'Show  Google Map', BUNCH_NAME ),
		'params' => array(
			array(
				"type"			=>	"attach_image_url",
				"label"			=>	esc_html__( 'Map Marker', BUNCH_NAME ),
				"name"			=>	"map_img",
				'admin_label' 	=> 	false,
				"description"	=>	esc_html__( 'Upload Map Marker Image.', BUNCH_NAME )
			),
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__( 'Enter Latitude', BUNCH_NAME ),
				"name"			=>	"latitude",
				"description"	=>	esc_html__( 'Enter Latitude', BUNCH_NAME )
			),
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__( 'Enter Longitude', BUNCH_NAME ),
				"name"			=>	"longitude",
				"description"	=>	esc_html__( 'Enter Longitude', BUNCH_NAME )
			),
			array(
				"type"			=>	"text",
				"label"			=>	esc_html__( 'Enter Title', BUNCH_NAME ),
				"name"			=>	"marker_title",
				"description"	=>	esc_html__( 'Enter Marker Title', BUNCH_NAME )
			),
			array(
				"type"			=>	"textarea",
				"label"			=>	esc_html__( 'Enter Marker Address', BUNCH_NAME ),
				"name"			=>	"address",
				"description"	=>	esc_html__( 'Enter Marker Address', BUNCH_NAME )
			),
		),
);

return $options;