<section class="contact-section">
	<div class="auto-container">
		<div class="row clearfix">
			<!--Info Column-->
			<div class="info-column col-md-6 col-sm-12 col-xs-12">
				<div class="inner-column">
					<h2><?php echo wp_kses_post( $title ); ?></h2>
					<div class="text"><?php echo wp_kses_post( $text ); ?></div>
					<ul class="list-style-one">
						<?php if ( $office_email ) : ?>
							<li><span class="icon fa fa-envelope-o"></span><?php echo wp_kses_post( $office_email ); ?> </li>
						<?php endif; ?>
						<?php if ( $office_phone ) : ?>
							<li><span class="icon flaticon-technology-1"></span><?php echo wp_kses_post( $office_phone ); ?></li>
						<?php endif; ?>
						<?php if ( $office_address ) : ?>
							<li><span class="icon flaticon-map-marker"></span><?php echo wp_kses_post( $office_address ); ?></li>
						<?php endif; ?>
					</ul>
				</div>
			</div>
			<!--Form Column-->
			<div class="form-column col-md-6 col-sm-12 col-xs-12">
				<h2><?php echo wp_kses_post( $contact_title ); ?></h2>

				<!-- contact Form -->
				<div class="contact-form">
					<!--contact Form-->
					<?php if ( $contact_form_7 ) : ?>

						<?php echo do_shortcode( '[contact-form-7 id="'.$contact_form_7.'"]' ); ?>

					<?php endif; ?>

				</div>
				<!--End Contact Form --> 

			</div>
		</div>
	</div>
</section>