<section class="clients-section">
	<div class="auto-container">
		<div class="row clearfix">
			<!--Title Column-->
			<div class="title-column col-md-3 col-sm-12 col-xs-12">
				<h2><?php echo wp_kses_post( $title ); ?></h2>
				<div class="text"><?php echo wp_kses_post( $text ); ?></div>
			</div>
			<!--Clients Column-->
			<div class="clients-column col-md-9 col-sm-12 col-xs-12">
				<div class="sponsors-outer">
					<!--Sponsors Carousel-->
					<ul class="sponsors-carousel owl-carousel owl-theme">
						<?php
							if ( $partners ) :
								foreach ( $partners as $partner ) :
						?>
							<li class="slide-item">
								<figure class="image-box">
									<a href="<?php echo esc_url( $partner->ext_link ); ?>"><img src="<?php echo esc_url( $partner->partner_img ); ?>" alt="<?php esc_attr_e('image', 'walsall');?>"></a>
								</figure>
							</li>
						<?php endforeach; endif; ?>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>