<?php  $count = 1;
$query_args = array('post_type' => 'bunch_portfolios' , 'showposts' => $num , 'order_by' => $sort , 'order' => $order);
if( $cat ) $query_args['portfolio_category'] = $cat;
$query = new WP_Query($query_args) ; 
?>

<?php if ( $query->have_posts() ) :  ?> 

 <section class="portfolio-section">
	<div class="auto-container">
		<h2><?php echo wp_kses_post( $title ); ?></h2>
	</div>
	<div class="outer-section">
		<div class="masonry-items-container clearfix">
			<?php while ( $query->have_posts() ) : $query->the_post();
				$portfolio_meta = _WSH()->get_meta();
				$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names")  );
				if( walsall_set( $portfolio_meta, 'extra_width' ) == 'extra_width' && walsall_set( $portfolio_meta, 'extra_height' ) == 'extra_height' ) { 
					$image_size = 'walsall_878x782';
				} elseif( walsall_set($portfolio_meta, 'extra_height') == 'extra_height' ) {
					$image_size = 'walsall_408x779';
				 } elseif( walsall_set( $portfolio_meta, 'extra_width' ) == 'extra_width' ) {
					$image_size = 'walsall_879x362';
				} else {
					$image_size = 'walsall_410x362';
				}
			?>
				<!--Gallery Block-->
				<div class="gallery-block masonry-item <?php if(walsall_set( $portfolio_meta, 'extra_width' ) == 'extra_width') echo 'col-lg-6 col-md-12 col-sm-12 col-xs-12'; else echo 'col-lg-3 col-md-6 col-sm-6 col-xs-12'?>">
					<div class="inner-box">
						<div class="image">
							<?php the_post_thumbnail( $image_size , array( 'class' => 'full' ) );?>
							<div class="overlay-box">
								<div class="lower-box">
									<h3><a href="<?php echo esc_url(get_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h3>
									<div class="designation"><?php echo implode( ', ', (array)$term_list );?></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			<?php endwhile; ?>
		</div>
	</div>
</section>


<?php endif; ?>

<?php wp_reset_postdata();