<!--About Section-->
<section class="about-section">
	<div class="auto-container">
		<div class="image">
			<img src="<?php echo esc_url( $upload_img ); ?>" alt="<?php esc_attr_e('image', 'walsall');?>" />
		</div>
		<div class="row clearfix">
			<!--Title Column-->
			<div class="title-column col-md-6 col-sm-12 col-xs-12">
				<h2><?php echo wp_kses_post( $title ); ?></h2>
				<div class="sub-title"><?php echo wp_kses_post( $sub_title ); ?></div>
			</div>
			<!--Content Column-->
			<div class="content-column col-md-6 col-sm-12 col-xs-12">
				<div class="text">
					<?php echo wp_kses_post( $text ); ?>
				</div>
			</div>
		</div>

		<?php if ( $blockquote ) :  ?>
			<blockquote>
				<div class="blockquote-text">
					<?php echo wp_kses_post( $blockquote ); ?>
				</div>
			</blockquote>
		<?php endif; ?>
	</div>
</section>
<!--End About Section-->