<?php $options = _WSH()->option();
	get_header(); 
	$settings  = walsall_set(walsall_set(get_post_meta(get_the_ID(), 'bunch_page_meta', true) , 'bunch_page_options') , 0);
	$meta = _WSH()->get_meta('_bunch_layout_settings');
	$meta1 = _WSH()->get_meta('_bunch_header_settings');
	$meta2 = _WSH()->get_meta();
	$layout = walsall_set( $meta, 'layout' );
	$sidebar = walsall_set( $meta, 'sidebar', 'default-sidebar' );
	$layout = ( $layout ) ? $layout : 'default-sidebar';
	$sidebar = ( $sidebar ) ? $sidebar : 'right';
	$classes = ( !$layout || $layout == 'full' || walsall_set($_GET, 'layout_style')=='full' ) ? ' col-lg-12 col-md-12 col-sm-12 col-xs-12 ' : ' content-side col-lg-9 col-md-8 col-sm-12 col-xs-12 ' ;
	/** Update the post views counter */
	_WSH()->post_views( true );
	$bg = walsall_set($meta1, 'header_img');
	$bg = ( $bg ) ? $bg : get_template_directory_uri().'/images/background/2.jpg';
	$title = walsall_set($meta1, 'header_title');
?>
<!--Page Title-->
<?php if ( walsall_set( $meta1, 'breadcrumb' ) ) : ?>
<section class="contact-banner-section" <?php if ( $bg ) : ?>style="background-image:url(<?php echo esc_url( $bg ); ?>);"<?php endif; ?>>
	<div class="auto-container">
		<h1><?php if( $title ) echo wp_kses_post( $title ); else wp_title( '' );?></h1>
	</div>
</section>
<?php endif; ?>
<!--Sidebar Page-->
<div class="sidebar-page-container">
    <div class="auto-container">
        <div class="row clearfix">
            
            <!-- sidebar area -->
			<?php if( $layout == 'left' ): ?>
				<?php if ( is_active_sidebar( $sidebar ) ) : ?>
					<div class="sidebar-side col-lg-3 col-md-4 col-sm-12 col-xs-12">        
						<aside class="sidebar">
							<?php dynamic_sidebar( $sidebar ); ?>
						</aside>
					</div>
				<?php endif; ?>
			<?php endif; ?>
            
            <!--Content Side-->	
            <div class="<?php echo esc_attr($classes);?>">
                
                <!--Default Section-->
                <div class="blog-single">
					<div class="thm-unit-test">
                    <?php while( have_posts() ): the_post();
						global $post; 
						$post_meta = _WSH()->get_meta();
						$term_list = wp_get_post_terms( get_the_id(), 'category', array( "fields" => "names" ) );
					?>
                    <!--Blog Post-->
					<div class="inner-box">
                    	<?php if(has_post_thumbnail()):?>
						<div class="image">
							<?php the_post_thumbnail('walsall_795x478', array('class' => 'img-responsive'));?>
						</div>
						<?php endif;?>
						<div class="lower-content">
							<div class="post-info"><i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<?php echo implode( ', ', (array)$term_list );?>&nbsp;&nbsp;<i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp;<?php echo get_the_date(); ?>&nbsp;&nbsp;<i class="fa fa-user" aria-hidden="true"></i>&nbsp;<?php esc_html_e( 'By', 'walsall' ); ?> <?php the_author(); ?>	</div>
							<h2><?php the_title();?></h2>
                            <div class="text clearfix">
								<?php the_content();?>
                                <span class="tags"><?php the_tags('Tags: ', ', ');?></span>
							</div>
							<?php wp_link_pages(array('before'=>'<div class="paginate-links">'.esc_html__('Pages: ', 'walsall'), 'after' => '</div>', 'link_before'=>'<span>', 'link_after'=>'</span>')); ?>
							<?php if(walsall_set($options, 'show_sharing')):?>
							<div class="post-share-options clearfix">
								
								<div class="pull-left">
									<div class="share"><?php esc_html_e('Share', 'walsall'); ?></div>
								</div>
								
								<div class="pull-right">
									<?php if(function_exists('bunch_share_us')) echo wp_kses_post(bunch_share_us(get_the_id(),$post->post_name ));?>
								</div>
							</div>
							<?php endif;?>
						</div>
					</div>
                    <!--Comments Area-->
					<?php comments_template(); ?><!-- end comments -->
                    <!--Posts Nav-->
                    <div class="posts-nav">
                        <div class="clearfix">
                            <div class="pull-left">
                                <?php previous_post_link('%link','<div class="prev-post"><span class="fa fa-long-arrow-left"></span>&nbsp;&nbsp;&nbsp; Prev Post</div>'); ?>
                            </div>
                            <div class="pull-right">
                                <?php next_post_link('%link','<div class="next-post">Next Post &nbsp;&nbsp;&nbsp;<span class="fa fa-long-arrow-right"></span> </div>'); ?>
                            </div>                                
                        </div>
                    </div>
				<?php endwhile;?>
				</div>
			</div>
		</div>
            <!--Content Side-->
            
            <!-- sidebar area -->
			<?php if( $layout == 'right' ): ?>
				<?php if ( is_active_sidebar( $sidebar ) ) : ?>
					<div class="sidebar-side col-lg-3 col-md-4 col-sm-12 col-xs-12">        
						<aside class="sidebar">
							<?php dynamic_sidebar( $sidebar ); ?>
						</aside>
					</div>
				<?php endif; ?>
			<?php endif; ?>
        </div>
    </div>
</div>

<?php get_footer(); ?>