<?php  
$term_list = wp_get_post_terms( get_the_id(), 'category', array( "fields" => "names" ) );
?>
<div class="inner-box">
	<?php if(has_post_thumbnail()):?>
	<div class="image">
		<?php the_post_thumbnail( 'walsall_1170x400', array( 'class' => 'img-responsive' ) );  ?>
	</div>
	<?php endif;?>
	<div class="lower-content">
		<div class="post-info"><i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<?php echo implode( ', ', (array)$term_list );?>&nbsp;&nbsp;<i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp;<?php echo get_the_date(); ?>&nbsp;&nbsp;<i class="fa fa-user" aria-hidden="true"></i>&nbsp;<?php esc_html_e( 'By', 'walsall' ); ?> <?php the_author(); ?>	</div>
		<h2><a href="<?php echo esc_url(get_permalink(get_the_id()));?>"><?php the_title(); ?></a></h2>
		<div class="text">
			<?php the_excerpt();?>
		</div>
		<div class="blog-details">
			<a href="<?php echo esc_url(get_permalink(get_the_id())); ?>" class="detail"><?php esc_html_e( 'More Details', 'walsall' ); ?> <span class="arrow flaticon-arrow-pointing-to-right"></span></a>
		</div>
	</div>
</div>