<?php 
$options = get_option( 'walsall'.'_theme_options' );
$footer_logo = walsall_set( $options, 'footer_logo' );
$footer_logo = ( $footer_logo ) ? $footer_logo : get_template_directory_uri() . '/images/footer-logo.png';
$phone = walsall_set( $options, 'footer_phone' );
$email = walsall_set( $options, 'footer_email' );
$copyright = walsall_set( $options, 'footer_copyright' );
$hide_social = walsall_set( $options, 'hide_social' );
?>
<div class="clearfix"></div>
	<?php if ( ! ( walsall_set( $options, 'hide_whole_footer' ) ) ) :  ?>
		<section class="main-footer">
			<div class="inner-container">
				<!--Logo Column-->
				<div class="logo">
					<a href="index.html"><img src="<?php echo esc_url( $footer_logo ); ?>" alt="<?php esc_attr_e('image', 'walsall');?>" /></a>
				</div>
				<div class="row clearfix">
					<div class="col-md-6 col-sm-6 col-xs-12">
						<div class="mail-info"><?php echo sanitize_email( $email ); ?> <br> <?php echo wp_kses_post( $phone ); ?></div>
					</div>
					<div class="col-md-6 col-sm-6 col-xs-12">
						<?php if ( ! $hide_social ): ?>
							<!--social-icon-->
							<ul class="social-icon-one">
								<?php echo wp_kses_post( walsall_bunch_get_social_icons() ); ?>
							</ul>
						<?php endif;?>
						<div class="copyright"><?php echo wp_kses_post( $copyright ); ?> </div>
					</div>
				</div>
			</div>
		</section>
	<!--Main Footer-->
    
    <?php endif;?>
</div>
<!--End pagewrapper-->

<!--Scroll to top-->
<div class="scroll-to-top scroll-to-target" data-target="html"><span class="fa fa-long-arrow-up"></span></div>

<?php wp_footer(); ?>
</body>
</html>