<?php
$paged = get_query_var('paged');
$query_args = array('showposts' => $num , 'order_by' => $sort , 'order' => $order, 'paged'=>$paged);
if( $cat ) $query_args['category'] = $cat;
$query = new WP_Query($query_args) ; 
?>

<?php if ( $query->have_posts() ) :  ?>

<section class="news-list-section">
	<div class="auto-container">

		<?php 
			while ( $query->have_posts() ) : $query->the_post();
			$term_list = wp_get_post_terms( get_the_id(), 'category', array( "fields" => "names" ) );
			$like = get_post_meta( get_the_id(), '_jolly_like_it', true );
		?>
		
			<!--News Block Two-->
			<div class="news-block-two">
				<div class="inner-box">
					<div class="row clearfix">
						<!--Image Column-->
						<div class="image-column col-md-4 col-sm-12 col-xs-12">
							<div class="image">
								<?php the_post_thumbnail( 'walsall_368x370', array( 'class' => 'img-responsive' ) );  ?>
								<div class="overlay-box">
									<a href="<?php echo esc_url(get_permalink(get_the_id())); ?>" class="link-box"><span class="flaticon-link"></span></a>
								</div>
							</div>
						</div>
						<!--Content Column-->
						<div class="content-column col-md-8 col-sm-12 col-xs-12">
							<div class="inner-column">
								<div class="post-info"><?php echo implode( ', ', (array)$term_list );?> /<?php echo get_the_date(  ); ?> / <?php esc_html_e( 'By', 'walsall' ); ?> <?php the_author(); ?></div>
								<h3><a href="<?php echo esc_url(get_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h3>
								<div class="text"><?php echo wp_trim_words( get_the_content(), $text_limit ); ?></div>
								<ul class="post-meta clearfix">
									<li class="pull-left"><a href="#"><span class="icon fa fa-comment-o"></span><?php comments_number( wp_kses_post(__('0 Comments' , 'walsall')), wp_kses_post(__('1 Comment' , 'walsall')), wp_kses_post(__('% Comments' , 'walsall'))); ?></a></li>
									
									<li class="pull-right"><a href="javascript:void(0);" class="jolly_like_it" data-id="<?php the_ID(); ?>"><span class="icon fa fa-heart-o"></span><?php echo (int)$like;?> 
									<?php if( $like > 1){
									esc_html_e('likes', 'walsall');
									}else{
										 esc_html_e('like', 'walsall');
									} ?>
                                    </a></li>
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
		
		<?php endwhile; ?>

	</div>
</section>

 <div class="styled-pagination text-center">
 	<?php walsall_the_pagination( array( 'total'=>$query->max_num_pages, 'next_text' => '<span class="fa fa-angle-right"></span>', 'prev_text' => '<span class="fa fa-angle-left"></span>' ) ); ?>
</div>

<?php endif; ?>

<?php wp_reset_postdata();