<?php  $count = 0;
$query_args = array('post_type' => 'bunch_portfolios' , 'showposts' => $num , 'order_by' => $sort , 'order' => $order);
if( $cat ) $query_args['portfolio_category'] = $cat;
$query = new WP_Query($query_args) ; 
?>

<?php if ( $query->have_posts() ) :  ?> 

<section class="work-banner">
	<div class="auto-container">
		<div class="title"><?php echo wp_kses_post( $title ); ?></div>
		<h2><?php echo wp_kses_post( $text ); ?></h2>
	</div>
</section>

	<?php 
		while ( $query->have_posts() ) : $query->the_post();
		$term_list = wp_get_post_terms( get_the_id(), 'portfolio_category', array( "fields" => "names")  );
		$ext_class = ( $count % 2 == 0 ) ? 'fullwidth-block-section' : 'fullwidth-block-section-two';
	?>
		<section class="<?php echo esc_attr( $ext_class ); ?>">
			<div class="outer-box clearfix">
				<div class="content-column">
					<div class="inner-column clearfix">
						<div class="content">
							<div class="content-inner">
								<h2><a href="<?php echo esc_url(get_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h2>
								<div class="sub-title"><?php echo implode( ', ', (array)$term_list );?></div>
								<a href="<?php echo esc_url(get_permalink(get_the_id())); ?>" class="theme-btn btn-style-one"><?php esc_html_e( 'View Project', 'walsall' ); ?></a>
							</div>
						</div>
					</div>
				</div>
				<div class="image-column">
					<div class="image">
						<?php the_post_thumbnail( 'walsallx961x834' , array( 'class' => 'img-responsive' ) );?>
					</div>
				</div>
			</div>
		</section>
	<?php $count++; endwhile; ?>

<?php endif; ?>

<?php wp_reset_postdata();