<!--Services Section-->
<section class="services-section">
	<div class="auto-container">
		<div class="image">
			<img src="<?php echo esc_url( $upload_img ); ?>" alt="<?php esc_attr_e('image', 'walsall');?>" />
		</div>
		<div class="row clearfix">
			<div class="content-column col-md-6 col-sm-12 col-xs-12">
				<h2><?php echo wp_kses_post( $title ); ?></h2>
				<div class="text">
					<?php echo wp_kses_post( $text ); ?>
				</div>
			</div>
			<div class="blocks-column col-md-6 col-sm-12 col-xs-12">
				<div class="inner-column">
					<div class="row clearfix">
						<?php	if( $services ) :
							foreach ( $services as $service ) :
						?>
							<!--Services Block-->
							<div class="services-block col-md-6 col-sm-6 col-xs-12">
								<div class="inner">
									<div class="content">
										<div class="icon-box">
											<span class="icon <?php echo esc_attr( $service->service_icon );  ?>"></span>
										</div>
										<h3><?php echo wp_kses_post( $service->service_title );  ?></h3>
									</div>
									<a href="<?php echo esc_url( $service->ext_link );  ?>" class="overlay-link"></a>
								</div>
							</div>
						<?php endforeach; endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>
<!--End Services Section-->