<?php
$query_args = array('post_type' => 'bunch_team', 'showposts' => $num , 'order_by' => $sort , 'order' => $order);
if( $cat ) $query_args['team_category'] = $cat;
$query = new WP_Query($query_args) ; 
?>

<?php if ( $query->have_posts() ) :  ?> 

 <section class="team-section">
	<div class="auto-container">
		<h2><?php echo wp_kses_post( $title ); ?></h2>
		<div class="clearfix">
			<?php while($query->have_posts()): $query->the_post(); global $post;
            	$team_meta = _WSH()->get_meta();
            ?>
				<!--Team Block-->
				<div class="team-block col-md-4 col-sm-6 col-xs-12">
					<div class="inner-box">
						<div class="image">
							<?php the_post_thumbnail( 'walsall_390x420', array( 'class' => 'img-responsive' ) );  ?>
							<div class="overlay-box">
								<h3><?php the_title(); ?></h3>
								<div class="designation"><?php echo wp_kses_post( walsall_set( $team_meta, 'designation' ) ); ?></div>
								<?php if ( $socials = walsall_set( $team_meta, 'bunch_team_social' ) ):?>
									<ul class="social-icon-one">
										<?php foreach( $socials as $key => $value ) :?>
											<li><a target="_blank" href="<?php echo esc_url( walsall_set( $value, 'social_link' ) );?>"><span class="fa <?php echo esc_attr( walsall_set( $value, 'social_icon' ) );?>" aria-hidden="true"></span></a></li>
										<?php endforeach;?>
									</ul>
                            	<?php endif;?>
							</div>
						</div>
					</div>
				</div>
			<?php endwhile;  ?>
		</div>
	</div>
</section>

<?php endif;
wp_reset_postdata();